Skip to content

Transfer Callback ​

Interface Information

  • Path: Provided by merchant
  • Method: POST
  • Content-Type: application/json; charset=UTF-8

Callback Instructions

  • Callback URL provided by merchant
  • Token (recommended to generate 32-character random string) must be provided by merchant for data source verification
  • Onerway will callback after Status is generated
  • Only considers merchant has received callback and processed successfully when receiving "SUCCESS" response from merchant
  • Otherwise will retry 18 times continuously, once every 2 hours
  • If never successful, will stop notification after failure notification
  • Merchant can query to get latest Status

Request Parameters ​

Headers ​

Request Headers
ParameterValueRequiredDescription
content-typeapplication/json; charset=UTF-8YesRequest body type
authorization"Credentials "+tokenYesToken provided by merchant for data source verification

Request Body ​

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
requestIdstringMerchant transaction IDM
payoutIdintegerPayment transaction IDM
statusstringStatus enum valuesM
statusTimestringStatus timestamp eg:"2025-01-15 08:51:40"M
payoutStatusReasonstringPayout status reasonC
settleCurrencystringPayment currencyM
settleSumAmountnumberPayment amountM
payoutCurrencystringSettlement currencyM
payoutAmountnumberSettlement amountM
serviceFeenumberService feeC
convRatenumberConversion exchange rateC

Request Example ​

json
{
    "merchantNo": "800149",
    "requestId": "TX20250115085140001",
    "payoutId": 1879088978595545088,
    "status": "SUCCESS",
    "statusTime": "2025-01-15 08:51:40",
    "payoutStatusReason": null,
    "settleCurrency": "USD",
    "settleSumAmount": 100.00,
    "payoutCurrency": "EUR",
    "payoutAmount": 92.35,
    "serviceFee": 2.50,
    "convRate": 0.9235
}

Response Result ​

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Example ​

text
SUCCESS